.header {
    z-index: 900;
    background: $white;
    position: relative;

    &:before {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        height: 1px;
        display: block;
        position: absolute;
        background: $line;
    }

    &__container {
        z-index: 10;
        height: toRem(56);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        color: $black;
        height: toRem(56);
        font-size: toRem(14);
        line-height: toRem(16);
        position: relative;
        display: flex;
        align-items: center;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            height: 2px;
            display: block;
            border-radius: 2px;
            position: absolute;
            border-bottom: 2px solid $blue;
        }
    }

    &__help {
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: toRem(40);
        height: toRem(40);
        cursor: pointer;
        text-decoration: none;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: toRem(24);
            display: inline-block;
        }
    }

    &__notification {
        fill: $blue;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: toRem(40);
        height: toRem(40);
        cursor: pointer;
        position: relative;
        text-decoration: none;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: toRem(24);
            display: inline-block;
        }

        span {
            top: 5px;
            right: 5px;
            color: $white;
            width: toRem(16);
            height: toRem(16);
            z-index: 5;
            background: $red;
            font-size: toRem(12);
            line-height: toRem(12);
            position: absolute;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    &__main {
        display: flex;
        align-items: center;
    }

    &__button {
        display: none;
        margin-left: toRem(24);
    }

    @include media-breakpoint-up(md) {

        &__notification {
            margin-left: toRem(10);
        }

        &__button {
            display: block;
        }
    }
}

.header-user {
    font-size: toRem(14);
    line-height: toRem(16);
    position: relative;

    &__title {
        width: toRem(40);
        height: toRem(40);
        position: relative;
    }

    &__name {
        color: $black;
        display: none;
        font-weight: 500;
        line-height: toRem(20);
    }

    &__info {
        color: $blue;
        display: none;
    }

    &__icon {
        top: calc(50% - 4px);
        left: calc(50% - 8px);
        width: 16px;
        height: 7px;
        display: block;
        position: absolute;

        &:after,
        &:before {
            right: 0;
            z-index: 5;
            height: 2px;
            content: '';
            display: block;
            background: $black;
            position: absolute;
        }

        &:after {
            top: 0;
            width: 16px;
        }

        &:before {
            bottom: 0;
            width: 12px;
        }
    }

    &__content {
        left: auto;
        right: 0 !important;
    }

    [data-dropdown-content] {
        right: 0;
        left: auto;
    }

    @include media-breakpoint-up(md) {
        margin-left: toRem(24);

        &__title {
            width: auto;
            height: auto;
            padding-right: toRem(32);
        }

        &__icon {
            top: toRem(8);
            right: 0;
            left: auto;
        }

        &__name {
            display: block;
        }

        &__info {
            display: block;
        }
    }
}

